Package org.springframework.cache.interceptor

# Class CacheOperation.Builder

java.lang.Object
org.springframework.cache.interceptor.CacheOperation.Builder

Direct Known Subclasses:
  `CacheableOperation.Builder`, `CacheEvictOperation.Builder`, `CachePutOperation.Builder`

Enclosing class:
  CacheOperation

public abstract static class CacheOperation.Builder extends Object
Base class for builders that can be used to create a `CacheOperation`.

Since:
  4.3

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`abstract CacheOperation`
`build()`
`String`
`getCacheManager()`
`Set<String>`
`getCacheNames()`
`String`
`getCacheResolver()`
`String`
`getKey()`
`String`
`getKeyGenerator()`
`protected StringBuilder`
`getOperationDescription()`
Return an identifying description for this caching operation.
`void`
`setCacheManager(String cacheManager)`
`void`
`setCacheName(String cacheName)`
`void`
`setCacheNames(String... cacheNames)`
`void`
`setCacheResolver(String cacheResolver)`
`void`
`setCondition(String condition)`
`void`
`setKey(String key)`
`void`
`setKeyGenerator(String keyGenerator)`
`void`
`setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### setName

public void setName(String name)

### setCacheName

public void setCacheName(String cacheName)

### setCacheNames

public void setCacheNames(String... cacheNames)

### getCacheNames

public Set<String> getCacheNames()

### setKey

public void setKey(String key)

### getKey

public String getKey()

### getKeyGenerator

public String getKeyGenerator()

### getCacheManager

public String getCacheManager()

### getCacheResolver

public String getCacheResolver()

### setKeyGenerator

public void setKeyGenerator(String keyGenerator)

### setCacheManager

public void setCacheManager(String cacheManager)

### setCacheResolver

public void setCacheResolver(String cacheResolver)

### setCondition

public void setCondition(String condition)

### getOperationDescription

protected StringBuilder getOperationDescription()
Return an identifying description for this caching operation.

Available to subclasses, for inclusion in their `toString()` result.

### build

public abstract CacheOperation build()